/*                                                                                           
*  Touch Sensing Library System Setup File                                                   
*                                                                                            
*  Auto-generated by System Setup Creator Tool                                               
*                                                                                            
*  This file contains electrode and other Touch Sensing System setup parameters              
*/                                                                                           

#ifndef __TSS_SYSTEM_SETUP_H__
#define __TSS_SYSTEM_SETUP_H__



/* TSS Features Configuration */

#define TSS_USE_MQX                       1

#define TSS_USE_DELTA_LOG                 1

#define TSS_USE_SIGNAL_LOG                1

#define TSS_USE_GPIO_STRENGTH             0

#define TSS_USE_GPIO_SLEW_RATE            0

#define TSS_USE_IIR_FILTER                0

#define TSS_USE_NOISE_AMPLITUDE_FILTER    0

#define TSS_USE_TRIGGER_FUNCTION          1

#define TSS_USE_AUTOTRIGGER_SOURCE        TSI0

#define TSS_USE_LOWPOWER_CONTROL_SOURCE   UNUSED

#define TSS_USE_DATA_CORRUPTION_CHECK     1

#define TSS_USE_FREEMASTER_GUI            0

#define TSS_USE_SIGNAL_SHIELDING          0

#define TSS_USE_STUCK_KEY                 1

#define TSS_USE_NEGATIVE_BASELINE_DROP    1

#define TSS_ENABLE_DIAGNOSTIC_MESSAGES    0

#define TSS_ONFAULT_CALLBACK              hmi_tss_on_fault /* Identifier of the user's OnFault callback */

#define TSS_ONINIT_CALLBACK               hmi_tss_empty_function /* Identifier of the user's OnInit callback */

#define TSS_N_ELECTRODES                  25         /* Number of electrodes present in the system */

#define TSS_USE_CONTROL_PRIVATE_DATA       1

/* Electrode's GPIOs configuration */

/* Electrode Types definition */

/* TWR Pads */
#define TSS_E0_TYPE                   TSI0_CH5
#define TSS_E1_TYPE                   TSI0_CH8
#define TSS_E2_TYPE                   TSI0_CH7
#define TSS_E3_TYPE                   TSI0_CH9

/* Keypad Daughter Board Pads */
#define TSS_E4_TYPE                   TSI0_CH0
#define TSS_E5_TYPE                   TSI0_CH6
#define TSS_E6_TYPE                   TSI0_CH7
#define TSS_E7_TYPE                   TSI0_CH8
#define TSS_E8_TYPE                   TSI0_CH13
#define TSS_E9_TYPE                   TSI0_CH14
#define TSS_E10_TYPE                  TSI0_CH15
#define TSS_E11_TYPE                  TSI0_CH5
#define TSS_E12_TYPE                  TSI0_CH9
#define TSS_E13_TYPE                  TSI0_CH10
#define TSS_E14_TYPE                  TSI0_CH11
#define TSS_E15_TYPE                  TSI0_CH12
/* Rotary Daughter Board Pads */
#define TSS_E16_TYPE                  TSI0_CH13   /* Center Pad */
#define TSS_E17_TYPE                  TSI0_CH8
#define TSS_E18_TYPE                  TSI0_CH5
#define TSS_E19_TYPE                  TSI0_CH6
#define TSS_E20_TYPE                  TSI0_CH15
#define TSS_E21_TYPE                  TSI0_CH7
#define TSS_E22_TYPE                  TSI0_CH14
#define TSS_E23_TYPE                  TSI0_CH0
#define TSS_E24_TYPE                  TSI0_CH9

/* Controls configuration */

#define TSS_N_CONTROLS              4

#define TSS_C0_TYPE                 TSS_CT_KEYPAD     /* Control type */
#define TSS_C0_ELECTRODES           4                 /* Number of electrodes in the control */
#define TSS_C0_STRUCTURE            cKey0             /* Name of the C&S struct to create */
#define TSS_C0_CALLBACK             hmi_tss_keypad_callback  /* Identifier of the user's callback */

#define TSS_C1_TYPE                 TSS_CT_KEYPAD     /* Control type */
#define TSS_C1_ELECTRODES           12                /* Number of electrodes in the control */
#define TSS_C1_STRUCTURE            cKey1             /* Name of the C&S struct to create */
#define TSS_C1_CALLBACK             hmi_tss_keypad_callback  /* Identifier of the user's callback */

#define TSS_C2_TYPE                 TSS_CT_KEYPAD     /* Control type */
#define TSS_C2_ELECTRODES           1                 /* Number of electrodes in the control */
#define TSS_C2_STRUCTURE            cKey2             /* Name of the C&S struct to create */
#define TSS_C2_CALLBACK             hmi_tss_keypad_callback  /* Identifier of the user's callback */

#define TSS_C3_TYPE                 TSS_CT_ROTARY     /* Control type */
#define TSS_C3_ELECTRODES           8                 /* Number of electrodes in the control */
#define TSS_C3_STRUCTURE            cRotary3          /* Name of the C&S struct to create */
#define TSS_C3_CALLBACK             hmi_tss_rotary_callback   /* Identifier of the user's callback */

/* TSI Specific parameter */

/* TSI Autocalibration Settings */
#define TSS_TSI_RESOLUTION                11 /* Required Bit resolution of the TSI */
#define TSS_TSI_SCANC_EXTCHRG_LOW_LIMIT   8  /* Low Limit of External OSC Charge Current register value for TSI autocalibration */
#define TSS_TSI_SCANC_EXTCHRG_HIGH_LIMIT  15 /* High Limit of External OSC Charge Current register value for TSI autocalibration */
#define TSS_TSI_GENCS_PS_LOW_LIMIT        0  /* Low Limit of External OSC Prescaler register value for TSI autocalibration */
#define TSS_TSI_GENCS_PS_HIGH_LIMIT       7  /* High Limit of External OSC Prescaler regiters value for TSI autocalibration */
/* Active Mode Clock Settings */
#define TSS_TSI_SCANC_AMCLKS              0  /* Set Input Active Mode Clock Source ( 0 = BUSclk, 1 = MCGIRCLK, 2 = OSCERCLK, 3 - NA ) */
#define TSS_TSI_SCANC_AMPSC               0  /* Set Input Active Mode Clock Prescaler ( 0 = divide 1, 7 = divide 128 ) */
#define TSS_TSI_SCANC_AMCLKDIV            1  /* Set Input Active Mode Clock Divider ( 0 = divide 1, 1 = divide 2048 ) */
/* Low Power TSI definition */
#define TSS_TSI_GENCS_LPCLKS              0  /* Set Low Power Mode Clock Source ( 0 = LPOCLK, 1 = VLPOSCCLK ) */

#endif /*__TSS_SYSTEM_SETUP_H__*/
